Skip to content

Create Schedule

POST/v1/deployments

Create a manually triggered or scheduled Deployment from an existing Agent or a declarative runtime definition. JSON and YAML are supported.

Advanced request body

stringnamerequired

Display name for the Deployment.

stringagent_idrequired

Agent to run.

arrayinitial_eventsrequired

At least one valid user.message event.

Declarative request body

stringnamerequired

Display name for the Deployment.

stringruntimerequired

Enabled declarative runtime. This release supports hermes.

arrayinitial_eventsrequired

At least one valid user.message event.

Optional<string | object>model

Optional model override for the generated Agent.

Optional<string>system

Optional system instructions for the generated Agent.

Optional<array<string> | null>skills

Up to 20 vendor/plugin references.

Optional<object | null>schedule

Optional cron schedule.

Optional<object>timeout_policy

Optional hard and inactivity timeout settings.